Package twisted :: Package web :: Module xmlrpc :: Class XMLRPCIntrospection

[frames | no frames]

## Class XMLRPCIntrospection

    Resource --+
               |
          XMLRPC --+
                   |
                  XMLRPCIntrospection

Implement the XML-RPC Introspection API.

By default, the methodHelp method returns the 'help' method attribute, if it exists, otherwise the __doc__ method attribute, if it exists, otherwise the empty string.

To enable the methodSignature method, add a 'signature' method attribute containing a list of lists. See methodSignature's documentation for the format. Note the type strings should be XML-RPC types, not Python types.

Method Summary
| ``__init__`(self, parent)` Implement Introspection support for an XMLRPC server.
| ``xmlrpc_listMethods`(self)` Return a list of the method names implemented by this server.
| ``xmlrpc_methodHelp`(self, method)` Return a documentation string describing the use of the given method.
| ``xmlrpc_methodSignature`(self, method)` Return a list of type signatures.
Inherited from XMLRPC
| ``_cbRender`(self, result, request)`
| ``_ebRender`(self, failure)`
| ``_getFunction`(self, functionPath)` Given a string, return a function, or raise NoSuchFunction.
| ``_listFunctions`(self)` Return a list of the names of all xmlrpc methods.
| ``getSubHandler`(self, prefix)`
| ``getSubHandlerPrefixes`(self)`
| ``putSubHandler`(self, prefix, handler)`
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me.
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.

Class Variable Summary
Inherited from XMLRPC
`int` | `FAILURE` = 8002
`int` | `isLeaf` = 1
`int` | `NOT_FOUND` = 8001
`str` | `separator` = `'.'`
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### __init__(self, parent)
(Constructor)

Implement Introspection support for an XMLRPC server.

  Parameters:
    `parent` - the XMLRPC server to add Introspection support to.
  Overrides:
    `twisted.web.xmlrpc.XMLRPC.__init__`

### xmlrpc_listMethods(self)

Return a list of the method names implemented by this server.

### xmlrpc_methodHelp(self, method)

Return a documentation string describing the use of the given method.

### xmlrpc_methodSignature(self, method)

Return a list of type signatures.

Each type signature is a list of the form [rtype, type1, type2, ...] where rtype is the return type and typeN is the type of the Nth argument. If no signature information is available, the empty string is returned.

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net